__bread
Prev | Other Functions | Next

## Name

__bread — reads a specified block and returns the bh

## Synopsis

`struct buffer_head * __bread (` | struct block_device * | bdev,
| sector_t | block,
| unsigned | size`)`;

## Arguments

`bdev`

  the block_device to read from

`block`

  number of block

`size`

  size (in bytes) to read

## Description

Reads a specified block, and returns buffer head that contains it. It returns NULL if the block was unreadable.

Prev | Up | Next
mark_buffer_dirty | Home | block_invalidatepage